Subject: Re: FVWM: Fvwm, the pager, and multiple screens (monitors)

From: Michael Allan <[email-masked]>
Date: Mon, 26 Jul 2004 18:32:02 -0400

>   I spent a few hours today getting my dual monitor setup under Linux
> (Debian Woody) and XFree86, with fvwm2.
> 
>   What I've managed at this stage is the two monitors being treated as
> seperate screens, running fvwm2 with thw -s switch so it only starts on
> the primary, then calling another fvwm2 with minimal (no Init stuff)
> from there.  Oh and Xinerama is configured on too.
>   The upshot of this is two monitors work seperately, I can drag windows
> between them *BUT* they are each using their own FvwmPager.  I would
> greatly prefer if they were using the SAME FvwmPager, so that any
> monitor can be displaying an arbitrary virtual desktop from my 3x2 set,
> rather than any desktop from 2 completely different 3x2 sets.
> 
>   Is there any way to do this currently?  If not consider it a feature
> request, even if it has to be with the limitation of not being able to
> display THE same virtual desktop on both at the same time.  I really
> don't need that myself anywya, and I doubt anyone else would.

(That was posted on April 3.
 A similar question -- "xinerama, but disjoint virtual desktops" --
 was posted on April 13.)

I was in the same dilemma running Openbox:
I wanted my screens tied together with Xinerama;
but I also wanted them to page independently.
So I scripted a simple pager to do the trick.
It works well for me.

It should work (maybe with some tweaking)
on any WM that is EWMH-compliant.
I have not tested it with fvwm.

Details are at:
http://www.zelea.com/project/screenpager/home.html

--
Mike

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].